
{% extends 'events/base.html' %}
    {% block content %}
    <center> <h1>Events</h1> <br/> </center>
      <div class="row justify-content-center"> <!-- col d-flex justify-content-center -->
               {% if event_list %}
                 {% for event in event_list %}
                    <div class="ml-auto card w-50" style="width: 35rem;"> 
                        <div class="card-body">
                            <h5 class="card-title"><strong>{{ event }}</strong></h5>
                            <p class="card-text">
                                <ul>
                                  <li><strong>Event Start: </strong>{{ event.start_date }}</li>
                                  <li><strong>Event End: </strong>{{ event.end_date }}</li>
                                  <li><strong>Venue: </strong>{{ event.venue }}</li>
                            <!--  <li><strong>Venue Address: </strong>{{ event.venue.address }}</li>  -->
                                {% if event.manager %}
                                  <li><strong>Event Guide: </strong>{{ event.manager }}</li>
                                {% endif %}
                                {% if event.description %}
                                  <li><strong>Description: </strong>{{ event.description }}</li>
                                {% endif %}
                                {% if event.sport %}
                                  <li><strong>Sport: </strong>{{ event.sport }}</li>
                                {% endif %}
                                  <li><strong>Attendees: </strong>
                                    {% for user in event.attendees.all %}
                                     {{ user }},
                                    {% endfor %}
                                  </li>
                              </ul>
                            </p>
                            <a href="{% url 'update_event' event.id %}" class="btn btn-primary" style ="background-color: #4CAF50; border-color: #4CAF50">Update</a>
                            <a href="{% url 'delete_event' event.id %}" class="btn btn-primary" style ="background-color: #f44336; border-color: #f44336">Delete</a>
                        </div>
                      </div>
                      <br/>
                
                {% endfor %}
                {% else %}
                <div class="card" style="width: 35rem;">
                    <div class="card-body">
                            <h5 class="card-title"><strong>No events are available.</strong></h5>
                            <p class="card-text">
                            </p>
                            Add an Event here:
                            <a href="{% url 'add_event' %}" class="btn btn-primary">New Event</a>
                        </div>
                      </div>
                <p></p>
                {% endif %}
            
      </div>
    {% endblock %}
